<template>
  <q-page padding>
    <div class="text-h5 q-mb-md" v-if="nombrePersona">
      Legajo de {{ nombrePersona }}
    </div>
    <div class="text-h5 q-mb-md" v-if="!nombrePersona">
      Cargando legajo .....
    </div>

    <div class="row q-col-gutter-sm">
      <div class="col-md-3 col-xs-12">
        <DatosPersonales />
      </div>
      <div class="col-md-9 col-xs-12">
        <q-card>
          <q-tabs
            v-model="tab"
            dense
            class="text-grey"
            active-color="primary"
            indicator-color="primary"
            align="justify"
            narrow-indicator
          >
            <q-tab name="datos-cds" label="Datos Afiliatorios " />
            <q-tab name="formacion" label="Formacion" />
            <q-tab name="eventos" label="Eventos" />
          </q-tabs>
        </q-card>
        <q-separator />
        <br />

        <q-tab-panels v-model="tab" animated>
          <q-tab-panel name="datos-cds">
            <DatosCdsPartial />
          </q-tab-panel>
          <q-tab-panel name="formacion">
            <FormacionPartial :uuid="uuid" />
          </q-tab-panel>
          <q-tab-panel name="eventos">
            <div class="text-h6">Historico de Eventos</div>
            <q-img src="/encontruccion.png" />
          </q-tab-panel>
        </q-tab-panels>
      </div>
    </div>

    <Loading :showing="loading" />
  </q-page>
</template>
<style scoped>
.q-tab-panels {
  background-color: transparent !important;
}
</style>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { useRoute } from 'vue-router';
import FormacionPartial from './_FormacionPartial.vue';
import DatosPersonales from './_DatosPersonales.vue';
import DatosCdsPartial from './_DatosCdsPartial.vue';
import Loading from 'src/components/Loading.vue';
import { api } from 'src/boot/axios/index';
import { AxiosResponse } from 'axios';

export default defineComponent({
  name: 'PerfilUsuariosPage',
  components: {
    Loading,
    FormacionPartial,
    DatosPersonales,
    DatosCdsPartial,
  },
  setup() {
    const loading = ref(false);
    const tab = ref('datos-cds');
    const route = useRoute();
    const nombrePersona = ref('');
    const uuid = String(
      route.params.uuid === undefined ? '' : route.params.uuid
    );

    onMounted(() => {
      obtenerNombre();
    });

    function obtenerNombre() {
      api
        .get('/api/persona/personas/get_nombre/' + uuid)
        .then((response: AxiosResponse) => {
          nombrePersona.value = response.data;
        });
    }
    return {
      tab,
      uuid,
      loading,
      nombrePersona,
    };
  },
});
</script>
